<script setup lang="ts">
import { onMounted, ref } from 'vue'
import PromotionView from './PromotionView.vue'
import HistoryView from './HistoryView.vue'

const promotionComp = ref(true)
const historyComp = ref(false)
const titleName = ref('Promotion')

const navigate = (dest: string): void => {
  if (dest === 'Promotion') {
    promotionComp.value = true
    historyComp.value = false
    titleName.value = 'Promotion'
  } else if (dest === 'History') {
    promotionComp.value = false
    historyComp.value = true
    titleName.value = 'History'
  }
}

const currentDate = ref()
const currentTime = ref()
const now = new Date()
const time = new Date().toLocaleTimeString()
const setupDateAndTime = () => {
  currentDate.value = `${now.getDate()}/${now.getMonth() + 1}/${now.getFullYear()}`
  currentTime.value = `${time}:${now.getMinutes()}`

  setInterval(() => {
    const newNow = new Date()
    currentDate.value = `${newNow.getDate()}/${newNow.getMonth() + 1}/${newNow.getFullYear()}`
    currentTime.value = `${newNow.toLocaleTimeString()}`
  }, 1000)
}
onMounted(() => {
  setupDateAndTime()
})
</script>

<template>
  <div>
    <v-sheet>
      <v-container fluid> </v-container>
    </v-sheet>
  </div>
  <v-toolbar flat color="#AB9283">
    <v-toolbar-title>{{ titleName }}</v-toolbar-title>
    <v-divider class="mx-4" inset vertical></v-divider>

    <v-spacer>
      <div>วันที่:{{ currentDate }} เวลา {{ currentTime }}</div>
    </v-spacer>
    <v-toolbar-items>
      <v-btn @click="navigate('History')">History</v-btn>
      <v-btn @click="navigate('Promotion')">Promotion</v-btn>
    </v-toolbar-items>
  </v-toolbar>

  <div style="margin-top: 20px">
    <PromotionView v-if="promotionComp"></PromotionView>
    <HistoryView v-if="historyComp"></HistoryView>
  </div>
</template>

<style scoped>
.v-sheet {
  background-color: #fff5e8;
}

.v-toolbar {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
  background-color: #ab9283;
}

.v-toolbar-title {
  font-weight: bold;
  font-size: 24px;
  color: white;
}

.v-table {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  text-decoration: none;
  background-color: #fff5e8;
}

.v-btn {
  border-radius: 30px;
  padding: 8px 16px;
  color: #ffcb5e;
}

.custom-header {
  background-color: #ffcb5e;
}
</style>
